'use strict';

const kit = require('@nuxt/kit');
const index = require('./index.cjs');
require('node:fs');
require('node:path');
require('node:process');
require('ci-info');
require('unplugin');
require('simple-git');
require('git-url-parse');

const nuxtModule = kit.defineNuxtModule({
  meta: {
    // Usually the npm package name of your module
    name: "unplugin-info/nuxt",
    // The key in `nuxt.config` that holds your module options
    configKey: "info",
    // Compatibility constraints
    compatibility: {
      // Semver version of supported nuxt versions
      nuxt: "^3.0.0"
    }
  },
  // Default configuration options for your module, can also be a function returning those
  defaults: {},
  // Shorthand sugar to register Nuxt hooks
  hooks: {},
  setup(options = {}, nuxt) {
    nuxt.hook("webpack:config", async (config) => {
      config.plugins = config.plugins || [];
      config.plugins.unshift(index.UnpluginInfo.webpack(options));
    });
    nuxt.hook("vite:extendConfig", async (config) => {
      config.plugins = config.plugins || [];
      config.plugins.push(index.UnpluginInfo.vite(options));
    });
  }
});

module.exports = nuxtModule;
