import { defineNuxtModule } from '@nuxt/kit';
import { UnpluginInfo } from './index.mjs';
import 'node:fs';
import 'node:path';
import 'node:process';
import 'ci-info';
import 'unplugin';
import 'simple-git';
import 'git-url-parse';

const nuxtModule = defineNuxtModule({
  meta: {
    // Usually the npm package name of your module
    name: "unplugin-info/nuxt",
    // The key in `nuxt.config` that holds your module options
    configKey: "info",
    // Compatibility constraints
    compatibility: {
      // Semver version of supported nuxt versions
      nuxt: "^3.0.0"
    }
  },
  // Default configuration options for your module, can also be a function returning those
  defaults: {},
  // Shorthand sugar to register Nuxt hooks
  hooks: {},
  setup(options = {}, nuxt) {
    nuxt.hook("webpack:config", async (config) => {
      config.plugins = config.plugins || [];
      config.plugins.unshift(UnpluginInfo.webpack(options));
    });
    nuxt.hook("vite:extendConfig", async (config) => {
      config.plugins = config.plugins || [];
      config.plugins.push(UnpluginInfo.vite(options));
    });
  }
});

export { nuxtModule as default };
